Bug 100536 - Indeterminate progresses when processing heap dumps
Indeterminate progresses when processing heap dumps
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-10 22:06 UTC by _ rkubacki
Modified: 2009-05-22 10:13 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ rkubacki 2007-04-10 22:06:40 UTC
dev build from Apr 5, 2007

At least opening of heap dump file can provide better feedback about current
state. Note that for example jhat gives some information how much work is
already done.

It is probably much harder to add determinate progress to find GC root.
Comment 1 Jiri Sedlacek 2007-11-01 10:56:53 UTC
Changing to ENHANCEMENT, this is not a DEFECT.
Comment 2 Tomas Hurka 2009-04-08 12:55:49 UTC
Milestone cleanup: future->next
Comment 3 Tomas Hurka 2009-04-16 16:45:28 UTC
opening of heap dump already has progress. See issue #159723
Progress for computing of references was added by the following changes in profiler-main

changeset:   126988:0571c8476ef2
tag:         tip
user:        Tomas Hurka <thurka@netbeans.org>
date:        Thu Apr 16 17:40:58 2009 +0200
summary:     #100536, progress for computing of references added

I will add progress for GC roots later.

Comment 4 Tomas Hurka 2009-04-17 13:59:25 UTC
progress for GC root computation added in profiler-main

changeset:   127372:e928280bafbe
user:        Tomas Hurka <thurka@netbeans.org>
date:        Fri Apr 17 14:57:41 2009 +0200
summary:     #100536, progress for GC root computation; createProgressPanel() invoked on EDT

Comment 5 Quality Engineering 2009-04-17 19:56:47 UTC
Integrated into 'main-golden', will be available in build *200904171401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/0571c8476ef2
User: Tomas Hurka <thurka@netbeans.org>
Log: #100536, progress for computing of references added
Comment 6 Quality Engineering 2009-04-18 07:28:18 UTC
Integrated into 'main-golden', will be available in build *200904180201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e928280bafbe
User: Tomas Hurka <thurka@netbeans.org>
Log: #100536, progress for GC root computation; createProgressPanel() invoked on EDT
Comment 7 Quality Engineering 2009-04-20 20:26:17 UTC
Integrated into 'main-golden', will be available in build *200904201507* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e928280bafbe
User: Tomas Hurka <thurka@netbeans.org>
Log: #100536, progress for GC root computation; createProgressPanel() invoked on EDT


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo